<?php
abstract class Core_Validate_File_Abstract extends Core_Validate_Abstract
{
    public function setValue($file)
    {
        if (!($file instanceof Core_File)) {
            throw new Exception(sprintf('Value passed to validator %s must be an instance of Core_File'), __CLASS__);
        }
        return $this;
    }
}